# PhasicFlow: processField Class Reference

processField Class Referenceabstract
Inheritance diagram for processField:
[legend]
Collaboration diagram for processField:
[legend]

## Public Member Functions

| TypeInfo ("processField")
| processField (const dictionary &dict, pointRectCell &pToCell, repository &rep)
| create_vCtor (processField, dictionary,(const dictionary &dict, pointRectCell &pToCell, repository &rep),(dict, pToCell, rep))
const auto & | mesh () const
const auto & | pointToCell () const
auto & | dict ()
const auto & | dict () const
auto & | timeFolderRepository ()
auto & | processedRepository ()
const word & | fieldType () const
const word & | fieldName () const
bool | isUniform () const
const word & | operation () const
auto & | timeFolder ()
const word & | includeMaskType () const
auto | threshold () const
const word & | processedFieldName () const
virtual bool | process ()=0
virtual bool | writeToVTK (iOstream &is) const =0

## Static Public Member Functions

static uniquePtr< processField > | create (const dictionary &dict, pointRectCell &pToCell, repository &rep)

## Static Protected Member Functions

static bool | getFieldType (const dictionary &dict, readFromTimeFolder &timeFolder, word &fieldName, word &fieldType)

## Protected Attributes

dictionary | dict_
pointRectCell & | pointToCell_
readFromTimeFolder | timeFolder_
word | processedFieldName_
word | fieldName_
word | fieldType_
word | operation_
word | includeMaskType_
int32 | threshold_ = 1
uniquePtr< includeMask > | includeMask_ = nullptr

## Detailed Description

Definition at line 37 of file processField.hpp.

## Constructor & Destructor Documentation

## processField()

processField | ( | const dictionary & | dict,
|  | pointRectCell & | pToCell,
|  | repository & | rep
| ) |  |

Definition at line 27 of file processField.cpp.

References includeMask::create(), processField::dict_, fatalExit, processField::fieldName_, processField::fieldType_, processField::getFieldType(), processField::includeMask_, processField::includeMaskType_, dictionary::subDictOrCreate(), and processField::timeFolder_.

Here is the call graph for this function:

## Member Function Documentation

## getFieldType()

bool getFieldType | ( | const dictionary & | dict,
|  | readFromTimeFolder & | timeFolder,
|  | word & | fieldName,
|  | word & | fieldType
| ) |  |

staticprotected

Definition at line 57 of file processField.cpp.

References dictionary::containsDataEntry(), dictionary::dataEntryRef(), pFlow::endl(), fatalErrorInFunction, twoPartEntry::firstPart(), dictionary::getVal(), dictionary::globalName(), and pFlow::isTwoPartEntry().

Referenced by processField::processField().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfo()

TypeInfo | ( | "processField" |  | ) |

## create_vCtor()

create_vCtor | ( | processField | ,
|  | dictionary | ,
|  | (const dictionary &dict, pointRectCell &pToCell, repository &rep) | ,
|  | (dict, pToCell, rep) |
| ) |  |

## mesh()

const auto& mesh | ( |  | ) | const

inline

Definition at line 83 of file processField.hpp.

References pointRectCell::mesh(), and processField::pointToCell_.

Referenced by ProcessField< T >::process().

Here is the call graph for this function:
Here is the caller graph for this function:

## pointToCell()

const auto& pointToCell | ( |  | ) | const

inline

Definition at line 88 of file processField.hpp.

References processField::pointToCell_.

Referenced by ProcessField< T >::process().

Here is the caller graph for this function:

## dict() [1/2]

auto& dict | ( |  | ) |

inline

Definition at line 93 of file processField.hpp.

References processField::dict_.

Referenced by ProcessField< T >::getUniformValue().

Here is the caller graph for this function:

## dict() [2/2]

const auto& dict | ( |  | ) | const

inline

Definition at line 98 of file processField.hpp.

References processField::dict_.

## timeFolderRepository()

auto& timeFolderRepository | ( |  | ) |

inline

Definition at line 103 of file processField.hpp.

References readFromTimeFolder::db(), and processField::timeFolder_.

Here is the call graph for this function:

## processedRepository()

auto& processedRepository | ( |  | ) |

inline

Definition at line 108 of file processField.hpp.

References processField::pointToCell_, and pointRectCell::processedRepository().

Here is the call graph for this function:

## fieldType()

const word& fieldType | ( |  | ) | const

inline

Definition at line 113 of file processField.hpp.

References processField::fieldType_.

## fieldName()

const word& fieldName | ( |  | ) | const

inline

Definition at line 118 of file processField.hpp.

References processField::fieldName_.

## isUniform()

bool isUniform | ( |  | ) | const

inline

Definition at line 123 of file processField.hpp.

References processField::fieldName_.

## operation()

const word& operation | ( |  | ) | const

inline

Definition at line 128 of file processField.hpp.

References processField::operation_.

Referenced by ProcessField< T >::process().

Here is the caller graph for this function:

## timeFolder()

auto& timeFolder | ( |  | ) |

inline

Definition at line 133 of file processField.hpp.

References processField::timeFolder_.

## includeMaskType()

const word& includeMaskType | ( |  | ) | const

inline

Definition at line 138 of file processField.hpp.

References processField::includeMaskType_.

## threshold()

auto threshold | ( |  | ) | const

inline

Definition at line 143 of file processField.hpp.

References processField::threshold_.

Referenced by ProcessField< T >::process().

Here is the caller graph for this function:

## processedFieldName()

const word& processedFieldName | ( |  | ) | const

inline

Definition at line 148 of file processField.hpp.

References processField::processedFieldName_.

## process()

virtual bool process | ( |  | ) |

pure virtual

Implemented in ProcessField< T >.

## writeToVTK()

virtual bool writeToVTK | ( | iOstream & | is | ) | const

pure virtual

Implemented in ProcessField< T >.

## create()

pFlow::uniquePtr< pFlow::processField > create | ( | const dictionary & | dict,
|  | pointRectCell & | pToCell,
|  | repository & | rep
| ) |  |

static

Definition at line 96 of file processField.cpp.

References pFlow::angleBracketsNames(), endREPORT, fatalError, fatalExit, greenText, pFlow::printKeys(), REPORT, and yellowText.

Referenced by postprocess::processTimeFolder().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## dict_

dictionary dict_

protected

Definition at line 41 of file processField.hpp.

Referenced by processField::dict(), and processField::processField().

## pointToCell_

pointRectCell& pointToCell_

protected

Definition at line 43 of file processField.hpp.

Referenced by processField::mesh(), processField::pointToCell(), and processField::processedRepository().

## timeFolder_

readFromTimeFolder timeFolder_

mutableprotected

Definition at line 45 of file processField.hpp.

Referenced by processField::processField(), processField::timeFolder(), and processField::timeFolderRepository().

## processedFieldName_

word processedFieldName_

protected

Definition at line 47 of file processField.hpp.

Referenced by processField::processedFieldName().

## fieldName_

word fieldName_

protected

Definition at line 49 of file processField.hpp.

Referenced by processField::fieldName(), processField::isUniform(), and processField::processField().

## fieldType_

word fieldType_

protected

Definition at line 51 of file processField.hpp.

Referenced by processField::fieldType(), and processField::processField().

## operation_

word operation_

protected

Definition at line 53 of file processField.hpp.

Referenced by processField::operation().

## includeMaskType_

word includeMaskType_

protected

Definition at line 55 of file processField.hpp.

Referenced by processField::includeMaskType(), and processField::processField().

## threshold_

int32 threshold_ = 1

protected

Definition at line 57 of file processField.hpp.

Referenced by processField::threshold().

## includeMask_

uniquePtr<includeMask> includeMask_ = nullptr

protected

Definition at line 59 of file processField.hpp.

Referenced by ProcessField< T >::process(), and processField::processField().

The documentation for this class was generated from the following files:

- utilities/postprocessPhasicFlow/processField.hpp
- utilities/postprocessPhasicFlow/processField.cpp